.promotion-container {
    padding: 0;
    min-height: 60vh;
    background-color: var(--promotion-cntr-bg,var(--default-promotion-cntr-bg))
}

.promotion-selection {
    margin-bottom: 10px;
    background-color: var(--promotion-selection-bg,var(--default-promotion-selection-bg));
    box-shadow: 0 3px 6px var(--promotion-selection-box-shadow,var(--default-box-shadow))
}

.promotion-selection ul {
    display: flex;
    align-items: center;
    gap: 10px;
    overflow-x: auto;
    padding: 10px
}

.promotion-selection ul::-webkit-scrollbar {
    display: none
}

.promotion-selection ul li {
    white-space: nowrap;
    padding: 8px 12px;
    background-color: var(--promotion-selection-ul-li-bg,var(--default-promotion-selection-bg));
    border: 2px solid var(--promotion-selection-ul-li-border,var(--default-promotion-selection-list-border));
    border-radius: 50px
}

.promotion-selection ul li a {
    color: var(--promotion-selection-ul-li-a-color,var(--default-promotion-selection-list-link-color));
    font-size: 12px
}

.promotion-selection ul li[data-active="true"] {
    background: var(--promotion-selection-ul-li-active-bg,var(--default-tab-menu-active-bg));
    border-color: var(--promotion-selection-ul-li-active-border,var(--default-tab-menu-active-border))
}

.promotion-selection ul li[data-active="true"] a {
    color: var(--promotion-selection-ul-li-active-a-color,var(--default-tab-menu-active-color))
}

.promotion-list {
    padding: 5px 16px
}

.promotion-item {
    position: relative;
    background-color: var(--promotion-item-bg,var(--default-promotion-item-bg));
    border-radius: 10px;
    box-shadow: 0 3px 5px var(--promotion-item-box-shadow,var(--default-box-shadow))
}

.promotion-item+.promotion-item {
    margin-top: 15px
}

.promotion-item img {
    width: 100%;
    border-radius: 10px
}

.promotion-item .button-container {
    padding: 15px 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5px
}

.promotion-item .button-container div:last-child {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 5px;
    justify-content: right
}

.promotion-item .button-container .promotion-label {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 5px
}

.promotion-item .button-container .promotion-label h2,.promotion-item .button-container .promotion-label h3 {
    margin: 0;
    color: var(--promotion-item-label-color,var(--default-promotion-item-label-color))
}

.promotion-item .button-container .promotion-label h2 {
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase
}

.promotion-item .button-container .promotion-label h3 {
    font-size: 10px;
    font-weight: 600
}

.promotion-item .button-container .promotion-label h3 span {
    color: var(--promotion-item-label-h3-span-color,var(--default-promotion-item-label-span-color))
}

.promotion-item .click-for-get-promo-button {
    padding: 7px 10px;
    background: var(--promotion-item-more-info-btn-bg,var(--default-promotion-item-more-info-btn-bg));
    color: var(--promotion-item-more-info-btn-color,var(--default-promotion-item-more-info-btn-color));
    border: 2px solid var(--promotion-item-more-info-btn-color,var(--default-promotion-item-more-info-btn-border));
    font-size: 10px;
    border-radius: 50px
}

.promotion-item .click-for-get-promo-button:hover {
    background: var(--promotion-item-more-info-btn-hover-bg,var(--default-promotion-item-more-info-btn-hover-bg))
}

.promotion-item .click-for-more-info-button {
    background: transparent;
    color: var(--promotion-item-more-info-btn-color,var(--default-promotion-item-label-color));
    border: 2px solid var(--promotion-item-more-info-btn-color,var(--default-promotion-item-more-info-btn-border));
    padding: 7px 10px;
    font-size: 10px;
    border-radius: 50px
}

.promotion-item .click-for-more-info-button:hover {
    background: transparent
}

.promotion-item:not([data-active="true"]) .promotion-info {
    display: none
}

.promotion-info {
    background-color: var(--promotion-info-bg,var(--default-promotion-info-bg));
    color: var(--promotion-info-color,var(--default-promotion-info-color));
    position: relative;
    padding: 50px 15px 20px 15px
}

.promotion-info .close-button {
    position: absolute;
    top: 0;
    right: 0;
    background: none;
    background-color: var(--promotion-info-close-btn-bg,var(--default-promotion-info-close-btn-bg));
    color: var(--promotion-info-close-btn-color,var(--default-promotion-info-close-btn-color));
    border: none;
    border-radius: 50%;
    margin: 7px;
    width: 30px;
    height: 30px;
    font-size: 24px;
    line-height: .5;
    display: flex;
    justify-content: center;
    align-items: center
}

.promotion-info h2 {
    font-size: 24px;
    text-align: center;
    margin-bottom: 20px
}

.promotion-info ul,.promotion-info ol {
    margin: 10px 0 10px 30px
}

.promotion-info ul {
    list-style: disc
}

.promotion-info ol {
    list-style: decimal
}

.expiration-countdown [data-value] {
    font-size: 32px;
    font-weight: 700;
    background: var(--expiration-countdown-data-value-bg,var(--default-exp-countdown-data-value-bg));
    color: var(--expiration-countdown-data-value-color,var(--default-exp-countdown-data-value-color));
    padding: 10px 10px 0 10px
}

.expiration-countdown [data-section]:nth-child(1n+3)::before {
    left: -10px
}
